"""Events plugin

Provides duty schedule / duty roster functions
"""
import pkg_resources
from flask import Blueprint, current_app
from werkzeug.local import LocalProxy

from flaschengeist.plugins import Plugin
from . import permissions, models


__version__ = pkg_resources.get_distribution("flaschengeist_events").version


class EventPlugin(Plugin):
    # id = "dev.flaschengeist.events"
    # provided resources
    # permissions = permissions.permissions
    models = models

    # def __init__(self, cfg):
    #     super(EventPlugin, self).__init__(cfg)
    #     from . import routes
    #     from .event_controller import clear_services

    def load(self):
        from .routes import blueprint

        self.blueprint = blueprint

    def install(self):
        self.install_permissions(permissions.permissions)

    @staticmethod
    def getPlugin() -> LocalProxy["EventPlugin"]:
        return LocalProxy(lambda: current_app.config["FG_PLUGINS"]["events"])
