declare namespace FG {
  interface Event {
    id: number;
    start: Date;
    end?: Date;
    name?: string;
    description?: string;
    type: EventType | number;
    is_template: boolean;
    jobs: Array<Job>;
  }
  interface EventType {
    id: number;
    name: string;
  }
  interface Invitation {
    id: number;
    time: Date;
    job_id: number;
    invitee_id: string;
    inviter_id: string;
    transferee_id?: string;
  }
  interface Job {
    id: number;
    start: Date;
    end?: Date;
    type: JobType | number;
    comment?: string;
    locked: boolean;
    services: Array<Service>;
    required_services: number;
  }
  interface JobType {
    id: number;
    name: string;
  }
  interface Service {
    userid: string;
    is_backup: boolean;
    value: number;
  }
}
